﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="NorthStarLiveScoreboard.aspx.cs" Inherits="Scoreboard.WebServices.NorthStarLiveScoreboard" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>NorthStarLive! Scoreboard</title>
    <style type="text/css">
    html, body 
    {
    	font-family: Arial, Helvetica;
    	text-align:center;
	    height: 100%;
	    overflow: hidden;
    }
    body {
	    padding: 0;
	    margin: 0;
    }
    #svlFrame {
	    height: 100%;
	    width: 100%;
	    text-align:center;
    }
    </style>
    
    <script type="text/javascript">
        var APP_RELOAD_INTERVAL_MINUTES = 360;
        var PAGE_LOAD_TIMEOUT_SECONDS = 30;
        var SCOREBOARD_HOSTPAGE = "SilverlightAppHostPage.aspx";
    
        var appRefreshTimer;
        var pageReloadTimer;

        //  Purpose:  Set the application refresh timer.  When the timer expires, invoke the function
        //  to reload the frame source page.
        function OnPageLoad() {
            //  Start timer and when timer expires, reload the frame
            appRefreshTimer = window.setInterval(InitiateRefresh, 1000 * 60 * APP_RELOAD_INTERVAL_MINUTES);
        }

        //  Purpose:  Start the page load sequence
        function InitiateRefresh() {
            pageReloadTimer = window.setTimeout(TryReloadFrame, 1000 * 5);
            DisplayReloadMessage();
        }


        //  Purpose:  Reload the content of the IFrame and set a timeout.  When the timeout is reached,
        //  re-execute this function.
        function TryReloadFrame() {
            pageReloadTimer = window.setTimeout(TryReloadFrame, 1000 * PAGE_LOAD_TIMEOUT_SECONDS);

            DisplayReloadMessage();
            
            var d = new Date();
            document.all.svlFrame.src = SCOREBOARD_HOSTPAGE + "?" + d.getTime();
        }

        function DisplayReloadMessage() {
            var dSilver = document.getElementById("divSilverlight");
            var dLoad = document.getElementById("divLoading");
            dSilver.style.display = "none";
            dLoad.style.display = "";
        }

        //  Purpose:  Stop the retry.  This is called by the logic inside the iframe page.
        function StopReloadTimeout() {
            clearTimeout(pageReloadTimer);
            var dSilver = document.getElementById("divSilverlight");
            var dLoad = document.getElementById("divLoading");
            dSilver.style.display = "";
            dLoad.style.display = "none";
        }
        
        
    </script>
</head>
<body onload="OnPageLoad()">
    <form id="form1" runat="server" style="height:100%">
        <div id="divSilverlight" display="none;">
        <iframe id="svlFrame" src="SilverlightAppHostPage.aspx" frameborder="0">
        </iframe>
        </div>
        <div id="divLoading">
            <h2>Initiating application page refresh ... starting in a few seconds.</h2>
        </div>
    </form>
</body>
</html>
